vlog -reportprogress 300 -work work {/work/designs/v2/xapp228_qram/ramb4_s16_s16_s16_s16.v}
vlog -reportprogress 300 -work work {/work/designs/v2/xapp228_qram/top_ve.v}
vlog -reportprogress 300 -work work {/work/designs/v2/xapp228_qram/synpl_ver/sim/tb_top_ve.v}
vsim -t pS -L unisims_ver tb_top_ve glbl

add wave /tb_top_ve/chip/rstin
add wave /tb_top_ve/chip/locked
add wave /tb_top_ve/chip/rst
add wave /tb_top_ve/chip/ram0/clkac
add wave /tb_top_ve/chip/ram0/clkacx2
add wave /tb_top_ve/chip/ram0/clkbd
add wave /tb_top_ve/chip/ram0/clkbdx2
add wave /tb_top_ve/chip/ram0/muxac
add wave /tb_top_ve/chip/ram0/muxbd

add wave -noupdate -divider {New Divider}

add wave -hexadecimal /tb_top_ve/chip/addra
add wave -hexadecimal /tb_top_ve/chip/dia
add wave -hexadecimal /tb_top_ve/chip/addrc
add wave -hexadecimal /tb_top_ve/chip/dic
add wave -hexadecimal /tb_top_ve/chip/ram0/addr_muxac
add wave -hexadecimal /tb_top_ve/chip/ram0/data_muxac
add wave -hexadecimal /tb_top_ve/chip/ram0/en_muxac
add wave -hexadecimal /tb_top_ve/chip/ram0/we_muxac
add wave -hexadecimal /tb_top_ve/chip/addrb
add wave -hexadecimal /tb_top_ve/chip/dob
add wave -hexadecimal /tb_top_ve/chip/addrd
add wave -hexadecimal /tb_top_ve/chip/dod
add wave -hexadecimal /tb_top_ve/chip/ram0/addr_muxbd
add wave -hexadecimal /tb_top_ve/chip/ram0/data_muxbd
add wave -hexadecimal /tb_top_ve/chip/ram0/en_muxbd
add wave -hexadecimal /tb_top_ve/chip/ram0/we_muxbd
add wave -hexadecimal /tb_top_ve/chip/ram0/dob_int
add wave -hexadecimal /tb_top_ve/chip/ram0/dob
add wave -hexadecimal /tb_top_ve/chip/en_a
add wave -hexadecimal /tb_top_ve/chip/en_b
add wave -hexadecimal /tb_top_ve/chip/en_c
add wave -hexadecimal /tb_top_ve/chip/en_d
add wave -hexadecimal /tb_top_ve/chip/we_a
add wave -hexadecimal /tb_top_ve/chip/we_b
add wave -hexadecimal /tb_top_ve/chip/we_c
add wave -hexadecimal /tb_top_ve/chip/we_d
add wave -hexadecimal /tb_top_ve/chip/datab
add wave -hexadecimal /tb_top_ve/chip/oldb
add wave -hexadecimal /tb_top_ve/chip/datad
add wave -hexadecimal /tb_top_ve/chip/oldd

add wave -noupdate -divider {New Divider}

add wave -hexadecimal /tb_top_ve/chip/matchab
add wave -hexadecimal /tb_top_ve/chip/matchcd

run 8uS
